GET
/v1/reports/inventory/warehouse-capacityGET /v1/reports/inventory/warehouse-capacity
Scopes: reports:inventory:read
Requires scope: reports:inventory:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
warehouse_id | query | integer<int32> | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
reportType | string | no | |
title | string | no | |
generatedAt | string<date-time> | no | |
totalRecords | integer<int32> | no | |
data | WarehouseCapacityRecord[] | no | |
parameters | ReportParameter[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/reports/inventory/warehouse-capacity', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);